> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saucerswap.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get LP token amounts in farms by account id

| Hedera Network | Base URL                                                                   |
| -------------- | -------------------------------------------------------------------------- |
| Mainnet        | [https://api.saucerswap.finance](https://api.saucerswap.finance)           |
| Testnet        | [https://test-api.saucerswap.finance](https://test-api.saucerswap.finance) |
| Previewnet     | *Not supported*                                                            |


## OpenAPI

````yaml GET /farms/totals/{accountId}
openapi: 3.0.4
info:
  title: SaucerSwap REST API
  version: 1.0.0
servers:
  - url: https://api.saucerswap.finance
  - url: https://test-api.saucerswap.finance
security: []
paths:
  /farms/totals/{accountId}:
    get:
      tags:
        - Farms
      summary: Get LP token amounts in farms by account id
      parameters:
        - $ref: '#/components/parameters/ApiKeyParam'
        - name: accountId
          description: Hedera account id (shard.realm.num)
          in: path
          required: true
          schema:
            type: string
            example: 0.0.12345
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FarmAccount'
components:
  parameters:
    ApiKeyParam:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        default: 875e1017-87b8-4b12-8301-6aa1f1aa073b
      description: >-
        API key for authentication. The demo api key provided is globally rate
        limited. Do not use in production.
  schemas:
    FarmAccount:
      type: object
      properties:
        farmId:
          description: SaucerSwap farm id
          type: integer
          example: 14
        poolId:
          description: SaucerSwap pool id
          type: integer
          example: 35
        accountId:
          description: Hedera account id (shard.realm.num)
          type: string
          example: 0.0.12345
        timestamp:
          description: Timestamp in unix seconds.nano
          type: number
          format: float
          example: '1682469351.387795003'
        staked:
          description: Staked LP amount in its smallest unit
          type: string
          example: '95533844'
      required:
        - farmId
        - poolId
        - accountId
        - timestamp
        - staked

````